//
//  EditComponent.swift
//  ArkitDoushiQi
//
//  Created by Johan LACHENAL on 24/05/2024.
//

import SwiftUI

struct EditTextComponent: View {
    let explanation: LocalizedStringKey
    @State private var name: String
    
    init(explanation: LocalizedStringKey, value: String) {
        self.explanation = explanation
        self._name = State(initialValue: value)
    }
    
    var body: some View {
        Form {
            Section(header: Text(explanation)) {
                TextField("", text: $name)
            }
        }
    }
}

struct EditTextComponent_Previews: PreviewProvider {
    static var previews: some View {
        EditTextComponent(explanation: LocalizedStringKey("Nom du Joueur 1"), value: "Joueur 1")
    }
}
