//
//  ProfileEdit.swift
//  ArkitDoushiQi
//
//  Created by Johan LACHENAL, Louis DUFOUR on 28/05/2024.
//

import SwiftUI

struct ProfileEdit: View {
    let color: Color
    let profileWidth: CGFloat
    let profileHeight: CGFloat
    let defaultImage: Image
    let imageTextChange: LocalizedStringKey
    let playerNameKey: LocalizedStringKey

    var body: some View {
        VStack(alignment: .leading, spacing: 10) {
            EditImageComponent(
                color: color,
                profileWidth: profileWidth,
                profileHeight: profileHeight,
                defaultImage: defaultImage,
                imageTextChange: imageTextChange
            ).padding(.horizontal)

            VStack(alignment: .leading, spacing: 5) {
                Text(playerNameKey)
                    .font(.headline)
                    .foregroundColor(.gray)
                TextField("", text: .constant("")) // Modifier ici selon votre logique
                    .textFieldStyle(RoundedBorderTextFieldStyle())
                    .font(.title3) // Taille de police augmentée
            }
            .padding(.horizontal)
        }
    }
}

struct ProfileEdit_Previews: PreviewProvider {
    static var previews: some View {
        ProfileEdit(color: Color(.red),
                    profileWidth: 80,
                    profileHeight: 80,
                    defaultImage: Image("profil"),
                    imageTextChange: "Changer d'avatar",
                    playerNameKey: "Nom du Joueur 1"
        )
    }
}
